#!Perl
#This script will take all the files from their 
#appropriate folder locations, and make them ready
#for use in a large PAUP simulation. The resulting 
#files will need to be split up.
#1
open FILE, '4FarrisJC.out';
open NEWFILE, '>>input4paup';

while (defined($line =<FILE>)) {
	chomp $line;
	if (($add) = ($line =~ (END))) {
		if ($add == 1) {
			print NEWFILE "$line \n";
			print NEWFILE "begin PAUP;
log file = log append;
set autoclose = yes
criterion = likelihood;
lset NST=1 basefreq=equal;
alltrees; 
savetrees brlens=yes
append = yes
format = nexus
file=4t.tre;
savetrees append = yes
format = phylip
file =4t.phy;
lscores 1 / scorefile=MLtreelscores append=yes;
end;\n";

	$var+=1;
		}
	}
		else {
			print NEWFILE "$line\n";
		}
}
close FILE;
#2
open FILE, '4FarrisJC.out';
open NEWFILE, '>>input4paup';
while (defined($line =<FILE>)) {
	chomp $line;
	if (($add) = ($line =~ (END))) {
		if ($add == 1) {
			print NEWFILE "$line \n";
			print NEWFILE "begin PAUP;
log file = log append;
set autoclose = yes
criterion = likelihood;
lset NST=1 basefreq=equal;
loadconstr file=4Farris.nex;
alltrees enforce=yes constraints=PHYLIP_1; 
savetrees brlens=yes
append = yes
format = nexus
file=4t.tre;
savetrees append = yes
format = phylip
file =4t.phy;
lscores 1 / scorefile=truetoplscores append=yes;
end;\n";

	$var+=1;
		}
	}
		else {
			print NEWFILE "$line\n";
		}
}
close FILE;
#3
open FILE, '4farrisJC.out';
open NEWFILE, '>>input4paup';
while (defined($line =<FILE>)) {
	chomp $line;
	if (($add) = ($line =~ (END))) {
		if ($add == 1) {
			print NEWFILE "$line \n";
			print NEWFILE "begin PAUP;
set autoclose = yes
criterion = likelihood;
gettrees storebrlens=yes file =4Farris.nex;
lscores 1 / NST=1 basefreq=equal userbrlens=yes scorefile=truetreelscores append=yes;
end;\n";

	$var+=1;
		}
	}
		else {
			print NEWFILE "$line\n";
		}
}
close FILE;
#4
open FILE, '4FarrisJC.out';
open NEWFILE, '>>input4paup';

while (defined($line =<FILE>)) {
	chomp $line;
	if (($add) = ($line =~ (END))) {
		if ($add == 1) {
			print NEWFILE "$line \n";
			print NEWFILE "begin PAUP;
log file = log append;
set autoclose = yes
criterion = likelihood;
lset NST=1 basefreq=equal rates=equal;
alltrees; 
savetrees brlens=yes
append = yes
format = nexus
file=4t.tre;
savetrees append = yes
format = phylip
file =4t.phy;
lscores 1 / scorefile=MLtreelscores append=yes;
end;\n";

	$var+=1;
		}
	}
		else {
			print NEWFILE "$line\n";
		}
}
close FILE;
#5
open FILE, '4FarrisJC.out';
open NEWFILE, '>>input4paup';

while (defined($line =<FILE>)) {
	chomp $line;
	if (($add) = ($line =~ (END))) {
		if ($add == 1) {
			print NEWFILE "$line \n";
			print NEWFILE "begin PAUP;
log file = log append;
set autoclose = yes
criterion = likelihood;
lset NST=1 basefreq=equal rates=gamma shape=estimate;
alltrees; 
savetrees brlens=yes
append = yes
format = nexus
file=4t.tre;
savetrees append = yes
format = phylip
file =4t.phy;
lscores 1 / scorefile=MLtreelscores append=yes;
end;\n";

	$var+=1;
		}
	}
		else {
			print NEWFILE "$line\n";
		}
}
close FILE;
#6
open FILE, '4FarrisJC.out';
open NEWFILE, '>>input4paup';

while (defined($line =<FILE>)) {
	chomp $line;
	if (($add) = ($line =~ (END))) {
		if ($add == 1) {
			print NEWFILE "$line \n";
			print NEWFILE "begin PAUP;
log file = log append;
set autoclose = yes
criterion = likelihood;
lset NST=2 basefreq=estimate tratio=estimate rates=equal;
alltrees; 
savetrees brlens=yes
append = yes
format = nexus
file=4t.tre;
savetrees append = yes
format = phylip
file =4t.phy;
lscores 1 / scorefile=MLtreelscores append=yes;
end;\n";

	$var+=1;
		}
	}
		else {
			print NEWFILE "$line\n";
		}
}
close FILE;
#7
open FILE, '4FarrisJC.out';
open NEWFILE, '>>input4paup';

while (defined($line =<FILE>)) {
	chomp $line;
	if (($add) = ($line =~ (END))) {
		if ($add == 1) {
			print NEWFILE "$line \n";
			print NEWFILE "begin PAUP;
log file = log append;
set autoclose = yes
criterion = likelihood;
lset NST=2 basefreq=estimate tratio=estimate rates=gamma shape=estimate;
alltrees; 
savetrees brlens=yes
append = yes
format = nexus
file=4t.tre;
savetrees append = yes
format = phylip
file =4t.phy;
lscores 1 / scorefile=MLtreelscores append=yes;
end;\n";

	$var+=1;
		}
	}
		else {
			print NEWFILE "$line\n";
		}
}
close FILE;
#8
open FILE, '4FarrisJC.out';
open NEWFILE, '>>input4paup';

while (defined($line =<FILE>)) {
	chomp $line;
	if (($add) = ($line =~ (END))) {
		if ($add == 1) {
			print NEWFILE "$line \n";
			print NEWFILE "begin PAUP;
log file = log append;
set autoclose = yes
criterion = likelihood;
lset NST=6 basefreq=estimate rmatrix=estimate rates=equal;
alltrees; 
savetrees brlens=yes
append = yes
format = nexus
file=4t.tre;
savetrees append = yes
format = phylip
file =4t.phy;
lscores 1 / scorefile=MLtreelscores append=yes;
end;\n";

	$var+=1;
		}
	}
		else {
			print NEWFILE "$line\n";
		}
}
close FILE;
#9
open FILE, '4FarrisJC.out';
open NEWFILE, '>>input4paup';

while (defined($line =<FILE>)) {
	chomp $line;
	if (($add) = ($line =~ (END))) {
		if ($add == 1) {
			print NEWFILE "$line \n";
			print NEWFILE "begin PAUP;
log file = log append;
set autoclose = yes
criterion = likelihood;
lset NST=6 basefreq=estimate rmatrix=estimate rates=gamma shape=estimate;
alltrees; 
savetrees brlens=yes
append = yes
format = nexus
file=4t.tre;
savetrees append = yes
format = phylip
file =4t.phy;
lscores 1 / scorefile=MLtreelscores append=yes;
end;\n";

	$var+=1;
		}
	}
		else {
			print NEWFILE "$line\n";
		}
}
close FILE;
#10
open FILE, '4FarrisJC.out';
open NEWFILE, '>>input4paup';
while (defined($line =<FILE>)) {
	chomp $line;
	if (($add) = ($line =~ (END))) {
		if ($add == 1) {
			print NEWFILE "$line \n";
			print NEWFILE "begin PAUP;
log file = log append;
set autoclose = yes
criterion = likelihood;
lset NST=1 basefreq=equal rates=equal;
loadconstr file=4Farris.nex;
alltrees enforce=yes constraints=PHYLIP_1; 
savetrees brlens=yes
append = yes
format = nexus
file=4t.tre;
savetrees append = yes
format = phylip
file =4t.phy;
lscores 1 / scorefile=truetoplscores append=yes;
end;\n";

	$var+=1;
		}
	}
		else {
			print NEWFILE "$line\n";
		}
}
close FILE;
#11
open FILE, '4FarrisJC.out';
open NEWFILE, '>>input4paup';
while (defined($line =<FILE>)) {
	chomp $line;
	if (($add) = ($line =~ (END))) {
		if ($add == 1) {
			print NEWFILE "$line \n";
			print NEWFILE "begin PAUP;
log file = log append;
set autoclose = yes
criterion = likelihood;
lset NST=1 basefreq=equal rates=gamma shape=estimate;
loadconstr file=4Farris.nex;
alltrees enforce=yes constraints=PHYLIP_1; 
savetrees brlens=yes
append = yes
format = nexus
file=4t.tre;
savetrees append = yes
format = phylip
file =4t.phy;
lscores 1 / scorefile=truetoplscores append=yes;
end;\n";

	$var+=1;
		}
	}
		else {
			print NEWFILE "$line\n";
		}
}
close FILE;
#12
open FILE, '4FarrisJC.out';
open NEWFILE, '>>input4paup';
while (defined($line =<FILE>)) {
	chomp $line;
	if (($add) = ($line =~ (END))) {
		if ($add == 1) {
			print NEWFILE "$line \n";
			print NEWFILE "begin PAUP;
log file = log append;
set autoclose = yes
criterion = likelihood;
lset NST=2 basefreq=estimate tratio=estimate rates=equal;
loadconstr file=4Farris.nex;
alltrees enforce=yes constraints=PHYLIP_1; 
savetrees brlens=yes
append = yes
format = nexus
file=4t.tre;
savetrees append = yes
format = phylip
file =4t.phy;
lscores 1 / scorefile=truetoplscores append=yes;
end;\n";

	$var+=1;
		}
	}
		else {
			print NEWFILE "$line\n";
		}
}
close FILE;
#13
open FILE, '4FarrisJC.out';
open NEWFILE, '>>input4paup';
while (defined($line =<FILE>)) {
	chomp $line;
	if (($add) = ($line =~ (END))) {
		if ($add == 1) {
			print NEWFILE "$line \n";
			print NEWFILE "begin PAUP;
log file = log append;
set autoclose = yes
criterion = likelihood;
lset NST=2 basefreq=estimate tratio=estimate rates=gamma shape=estimate;
loadconstr file=4Farris.nex;
alltrees enforce=yes constraints=PHYLIP_1; 
savetrees brlens=yes
append = yes
format = nexus
file=4t.tre;
savetrees append = yes
format = phylip
file =4t.phy;
lscores 1 / scorefile=truetoplscores append=yes;
end;\n";

	$var+=1;
		}
	}
		else {
			print NEWFILE "$line\n";
		}
}
close FILE;
#14
open FILE, '4FarrisJC.out';
open NEWFILE, '>>input4paup';
while (defined($line =<FILE>)) {
	chomp $line;
	if (($add) = ($line =~ (END))) {
		if ($add == 1) {
			print NEWFILE "$line \n";
			print NEWFILE "begin PAUP;
log file = log append;
set autoclose = yes
criterion = likelihood;
lset NST=6 basefreq=estimate rmatrix=estimate rates=equal;
loadconstr file=4Farris.nex;
alltrees enforce=yes constraints=PHYLIP_1; 
savetrees brlens=yes
append = yes
format = nexus
file=4t.tre;
savetrees append = yes
format = phylip
file =4t.phy;
lscores 1 / scorefile=truetoplscores append=yes;
end;\n";

	$var+=1;
		}
	}
		else {
			print NEWFILE "$line\n";
		}
}
close FILE;
#15
open FILE, '4FarrisJC.out';
open NEWFILE, '>>input4paup';
while (defined($line =<FILE>)) {
	chomp $line;
	if (($add) = ($line =~ (END))) {
		if ($add == 1) {
			print NEWFILE "$line \n";
			print NEWFILE "begin PAUP;
log file = log append;
set autoclose = yes
criterion = likelihood;
lset NST=6 basefreq=estimate rmatrix=estimate rates=gamma shape=estimate;
loadconstr file=4Farris.nex;
alltrees enforce=yes constraints=PHYLIP_1; 
savetrees brlens=yes
append = yes
format = nexus
file=4t.tre;
savetrees append = yes
format = phylip
file =4t.phy;
lscores 1 / scorefile=truetoplscores append=yes;
end;\n";

	$var+=1;
		}
	}
		else {
			print NEWFILE "$line\n";
		}
}
close FILE;
#16
open FILE, '4farrisJC.out';
open NEWFILE, '>>input4paup';
while (defined($line =<FILE>)) {
	chomp $line;
	if (($add) = ($line =~ (END))) {
		if ($add == 1) {
			print NEWFILE "$line \n";
			print NEWFILE "begin PAUP;
set autoclose = yes
criterion = likelihood;
gettrees storebrlens=yes file =4Farris.nex;
lscores 1 / NST=1 basefreq=equal rates=equal userbrlens=yes scorefile=truetreelscores append=yes;
end;\n";

	$var+=1;
		}
	}
		else {
			print NEWFILE "$line\n";
		}
}
close FILE;
#17
open FILE, '4farrisJC.out';
open NEWFILE, '>>input4paup';
while (defined($line =<FILE>)) {
	chomp $line;
	if (($add) = ($line =~ (END))) {
		if ($add == 1) {
			print NEWFILE "$line \n";
			print NEWFILE "begin PAUP;
set autoclose = yes
criterion = likelihood;
gettrees storebrlens=yes file =4Farris.nex;
lscores 1 / NST=1 basefreq=equal rates=gamma shape=estimate userbrlens=yes scorefile=truetreelscores append=yes;
end;\n";

	$var+=1;
		}
	}
		else {
			print NEWFILE "$line\n";
		}
}
close FILE;
#18
open FILE, '4farrisJC.out';
open NEWFILE, '>>input4paup';
while (defined($line =<FILE>)) {
	chomp $line;
	if (($add) = ($line =~ (END))) {
		if ($add == 1) {
			print NEWFILE "$line \n";
			print NEWFILE "begin PAUP;
set autoclose = yes
criterion = likelihood;
gettrees storebrlens=yes file =4Farris.nex;
lscores 1 / NST=2 basefreq=estimate tratio=estimate rates=equal userbrlens=yes scorefile=truetreelscores append=yes;
end;\n";

	$var+=1;
		}
	}
		else {
			print NEWFILE "$line\n";
		}
}
close FILE;
#19
open FILE, '4farrisJC.out';
open NEWFILE, '>>input4paup';
while (defined($line =<FILE>)) {
	chomp $line;
	if (($add) = ($line =~ (END))) {
		if ($add == 1) {
			print NEWFILE "$line \n";
			print NEWFILE "begin PAUP;
set autoclose = yes
criterion = likelihood;
gettrees storebrlens=yes file =4Farris.nex;
lscores 1 / NST=2 basefreq=estimate tratio=estimate rates=gamma shape=estimate userbrlens=yes scorefile=truetreelscores append=yes;
end;\n";

	$var+=1;
		}
	}
		else {
			print NEWFILE "$line\n";
		}
}
close FILE;
#20
open FILE, '4farrisJC.out';
open NEWFILE, '>>input4paup';
while (defined($line =<FILE>)) {
	chomp $line;
	if (($add) = ($line =~ (END))) {
		if ($add == 1) {
			print NEWFILE "$line \n";
			print NEWFILE "begin PAUP;
set autoclose = yes
criterion = likelihood;
gettrees storebrlens=yes file =4Farris.nex;
lscores 1 / NST=6 basefreq=estimate rmatrix=estimate rates=equal userbrlens=yes scorefile=truetreelscores append=yes;
end;\n";

	$var+=1;
		}
	}
		else {
			print NEWFILE "$line\n";
		}
}
close FILE;
#21
open FILE, '4farrisJC.out';
open NEWFILE, '>>input4paup';
while (defined($line =<FILE>)) {
	chomp $line;
	if (($add) = ($line =~ (END))) {
		if ($add == 1) {
			print NEWFILE "$line \n";
			print NEWFILE "begin PAUP;
set autoclose = yes
criterion = likelihood;
gettrees storebrlens=yes file =4Farris.nex;
lscores 1 / NST=6 basefreq=estimate rmatrix=estimate rates=gamma shape=estimate userbrlens=yes scorefile=truetreelscores append=yes;
end;\n";

	$var+=1;
		}
	}
		else {
			print NEWFILE "$line\n";
		}
}
close FILE;

print "Operation Performed.\n";