#!Perl

#Extracts heaps of likelihoods from heaps of files in various folders

#KEY:
#FILE1 = MLtree(E) est JC
#FILE2 = MLtree(E) est JC+G
#FILE3 = MLtree(E) est HKY
#FILE4 = MLtree(E) est HKY+G
#FILE5 = MLtree(E) est GTR
#FILE6 = MLtree(E) est GTR+G
#FILE7 = MLtree(T)
#FILE8 = Truetopology(E) est JC
#FILE9 = Truetopology(E) est JC+G
#FILE10 = Truetopology(E) est HKY
#FILE11 = Truetopology(E) est HKY+G
#FILE12 = Truetopology(E) est GTR
#FILE13 = Truetopology(E) est GTR+G
#FILE14 = Truetopology(T)
#FILE15 = Truetree(E) est JC
#FILE16 = Truetree(E) est JC+G
#FILE17 = Truetree(E) est HKY
#FILE18 = Truetree(E) est HKY+G
#FILE19 = Truetree(E) est GTR
#FILE20 = Truetree(E) est GTR+G
#FILE21 = Truetree(T)

open NEWFILE1, '>>worksheet1';
#open NEWFILE2, '>>worksheet2';
#open NEWFILE3, '>>worksheet3';

open FILE1, ':MLtree(E):estJC:MLtreelscores' or print "No FILE1.\n";
open FILE2, ':MLtree(E):estJC+G:MLtreelscores' or die "No FILE2.\n";
open FILE3, ':MLtree(E):estHKY:MLtreelscores' or die "No FILE3.\n";
open FILE4, ':MLtree(E):estHKY+G:MLtreelscores' or die "No FILE4.\n";
open FILE5, ':MLtree(E):estGTR:MLtreelscores' or die "No FILE5.\n";
open FILE6, ':MLtree(E):estGTR+G:MLtreelscores' or die "No FILE6.\n";
open FILE7, ':MLtree(T):MLtreelscores' or die "No FILE7.\n";

open FILE8, ':Truetopology(E):estJC:Truetoplscores' or print "No FILE8.\n";
open FILE9, ':Truetopology(E):estJC+G:Truetoplscores' or die "No FILE9.\n";
open FILE10, ':Truetopology(E):estHKY:Truetoplscores' or die "No FILE10.\n";
open FILE11, ':Truetopology(E):estHKY+G:Truetoplscores' or die "No FILE11.\n";
open FILE12, ':Truetopology(E):estGTR:Truetoplscores' or die "No FILE12.\n";
open FILE13, ':Truetopology(E):estGTR+G:Truetoplscores' or die "No FILE13.\n";
open FILE14, ':Truetopology(T):Truetoplscores' or die "No FILE14.\n";
open FILE15, ':Truetree(E):estJC:Truetreelscores' or print "No FILE15.\n";
open FILE16, ':Truetree(E):estJC+G:Truetreelscores' or die "No FILE16.\n";
open FILE17, ':Truetree(E):estHKY:Truetreelscores' or die "No FILE17.\n";
open FILE18, ':Truetree(E):estHKY+G:Truetreelscores' or die "No FILE18.\n";
open FILE19, ':Truetree(E):estGTR:Truetreelscores' or die "No FILE19.\n";
open FILE20, ':Truetree(E):estGTR+G:Truetreelscores' or die "No FILE20.\n";
open FILE21, ':Truetree(T):Truetreelscores' or die "No FILE21.\n";


while (<FILE1>) {
	chomp;
	if (($one, $LnL) = ($_ =~ /(1\s+)(\d+.\d+)/)) {
		push (@array1, $LnL);
	}
}
while (<FILE2>) {
	chomp;
	if (($one, $LnL, $ws1, $gamma) = ($_ =~ (/(1\s+)(\d+.\d+)(\s+)((\d+.\d+)|(infinity))/))) {
		push (@array2, $LnL);
	}
}
while (<FILE3>) {
	chomp;
	if (($one,$LnL,$ws1,$freqA,$ws2,$freqC,$ws3,$freqG,$ws4,$freqT,$ws5,$Tratio) = ($_ =~ (/(1\s+)(\d+.\d+)(\s+)(\d+.\d+)(\s+)(\d+.\d+)(\s+)(\d+.\d+)(\s+)(\d+.\d+)(\s+)(\d+.\d+)/))) {
		push (@array3, $LnL);
	}
}
while(<FILE4>) {
	chomp;
	if (($one, $LnL, $ws1, $freqA, $ws2, $freqC, $ws3, $freqG, $ws4, $freqT, $ws5, $Tratio, $ws6, $gamma) = ($_ =~ (/(1\s+)(\d+.\d+)(\s+)(\d+.\d+)(\s+)(\d+.\d+)(\s+)(\d+.\d+)(\s+)(\d+.\d+)(\s+)(\d+.\d+)(\s+)((\d+.\d+)|(infinity))/))) {
  push (@array4, $LnL);
	}
}
while(<FILE5>) {
 chomp;
 if (($one, $LnL,$ws1, $freqA, $ws2, $freqC, $ws3, $freqG, $ws4, $freqT) = ($_ =~ (/(1\s+)(\d+.\d+)(\s+)(\d+.\d+)(\s+)(\d+.\d+)(\s+)(\d+.\d+)(\s+)(\d+.\d+)/))) {
	push (@array5, $LnL);
	}
}
while (<FILE6>) {
 chomp;
 if (($one, $LnL,$ws1, $freqA, $ws2, $freqC, $ws3, $freqG, $ws4, $freqT,$ws5,$gamma) = ($_ =~ (/(1\s+)(\d+.\d+)(\s+)(\d+.\d+)(\s+)(\d+.\d+)(\s+)(\d+.\d+)(\s+)(\d+.\d+)(\s+)((\d+.\d+)|(infinity))/))) {
	push (@array6, $LnL);
	}
}
while(<FILE7>) {
	chomp;
		if (($one, $LnL) = ($_ =~ /(1\s+)(\d+.\d+)/)) {
		push (@array7, $LnL);
	}
}
while (<FILE8>) {
	chomp;
	if (($one, $LnL) = ($_ =~ /(1\s+)(\d+.\d+)/)) {
		push (@array8, $LnL);
	}
}
while (<FILE9>) {
	chomp;
	if (($one, $LnL, $ws1, $gamma) = ($_ =~ (/(1\s+)(\d+.\d+)(\s+)((\d+.\d+)|(infinity))/))) {
		push (@array9, $LnL);
	}
}
while (<FILE10>) {
	chomp;
	if (($one, $LnL, $ws1, $freqA, $ws2, $freqC, $ws3, $freqG, $ws4, $freqT, $ws5, $Tratio) = ($_ =~ (/(1\s+)(\d+.\d+)(\s+)(\d+.\d+)(\s+)(\d+.\d+)(\s+)(\d+.\d+)(\s+)(\d+.\d+)(\s+)(\d+.\d+)/))) {
		push (@array10, $LnL);
	}
}
while(<FILE11>) {
	chomp;
	if (($one, $LnL, $ws1, $freqA, $ws2, $freqC, $ws3, $freqG, $ws4, $freqT, $ws5, $Tratio, $ws6, $gamma) = ($_ =~ (/(1\s+)(\d+.\d+)(\s+)(\d+.\d+)(\s+)(\d+.\d+)(\s+)(\d+.\d+)(\s+)(\d+.\d+)(\s+)(\d+.\d+)(\s+)((\d+.\d+)|(infinity))/))) {
  push (@array11, $LnL);
	}
}
while(<FILE12>) {
 chomp;
 if (($one, $LnL,$ws1, $freqA, $ws2, $freqC, $ws3, $freqG, $ws4, $freqT) = ($_ =~ (/(1\s+)(\d+.\d+)(\s+)(\d+.\d+)(\s+)(\d+.\d+)(\s+)(\d+.\d+)(\s+)(\d+.\d+)/))) {
	push (@array12, $LnL);
	}
}
while (<FILE13>) {
 chomp;
 if (($one, $LnL,$ws1, $freqA, $ws2, $freqC, $ws3, $freqG, $ws4, $freqT, $ws5,$gamma) = ($_ =~ (/(1\s+)(\d+.\d+)(\s+)(\d+.\d+)(\s+)(\d+.\d+)(\s+)(\d+.\d+)(\s+)(\d+.\d+)(\s+)((\d+.\d+)|(infinity))/))) {
	push (@array13, $LnL);
	}
}
while(<FILE14>) {
	chomp;
		if (($one, $LnL) = ($_ =~ /(1\s+)(\d+.\d+)/)) {
		push (@array14, $LnL);
	}
}
while (<FILE15>) {
	chomp;
	if (($one, $LnL) = ($_ =~ /(1\s+)(\d+.\d+)/)) {
		push (@array15, $LnL);
	}
}
while (<FILE16>) {
	chomp;
	if (($one, $LnL, $ws1, $gamma) = ($_ =~ (/(1\s+)(\d+.\d+)(\s+)((\d+.\d+)|(infinity))/))) {
		push (@array16, $LnL);
	}
}
while (<FILE17>) {
	chomp;
	if (($one, $LnL, $ws1, $freqA, $ws2, $freqC, $ws3, $freqG, $ws4, $freqT, $ws5, $Tratio) = ($_ =~ (/(1\s+)(\d+.\d+)(\s+)(\d+.\d+)(\s+)(\d+.\d+)(\s+)(\d+.\d+)(\s+)(\d+.\d+)(\s+)(\d+.\d+)/))) {
		push (@array17, $LnL);
	}
}
while(<FILE18>) {
	chomp;
	if (($one, $LnL, $ws1, $freqA, $ws2, $freqC, $ws3, $freqG, $ws4, $freqT, $ws5, $Tratio, $ws6, $gamma) = ($_ =~ (/(1\s+)(\d+.\d+)(\s+)(\d+.\d+)(\s+)(\d+.\d+)(\s+)(\d+.\d+)(\s+)(\d+.\d+)(\s+)(\d+.\d+)(\s+)((\d+.\d+)|(infinity))/))) {
  push (@array18, $LnL);
	}
}
while(<FILE19>) {
 chomp;
 if (($one, $LnL,$ws1, $freqA, $ws2, $freqC, $ws3, $freqG, $ws4, $freqT) = ($_ =~ (/(1\s+)(\d+.\d+)(\s+)(\d+.\d+)(\s+)(\d+.\d+)(\s+)(\d+.\d+)(\s+)(\d+.\d+)/))) {
	push (@array19, $LnL);
	}
}
while (<FILE19>) {
 chomp;
 if (($one, $LnL,$ws1, $freqA, $ws2, $freqC, $ws3, $freqG, $ws4, $freqT, $ws5,$gamma) = ($_ =~ (/(1\s+)(\d+.\d+)(\s+)(\d+.\d+)(\s+)(\d+.\d+)(\s+)(\d+.\d+)(\s+)(\d+.\d+)(\s+)((\d+.\d+)|(infinity))/))) {
	push (@array19, $LnL);
	}
}
while(<FILE21>) {
	chomp;
		if (($one, $LnL) = ($_ =~ /(1\s+)(\d+.\d+)/)) {
		push (@array21, $LnL);
	}
}



















$counter=0;
while ($counter<1000) {
	$dataset=$counter+1;
	print NEWFILE1 "$dataset 1 0 $array1[$counter] $array2[$counter] $array3[$counter] $array4[$counter] $array5[$counter] $array6[$counter]
$dataset 0 0 $array7[$counter] $array7[$counter] $array7[$counter] $array7[$counter] $array7[$counter] $array7[$counter]
$dataset 1 1 $array8[$counter] $array9[$counter] $array10[$counter] $array11[$counter] $array12[$counter] $array13[$counter]
$dataset 0 1 $array14[$counter] $array14[$counter] $array14[$counter] $array14[$counter] $array14[$counter] $array14[$counter]\n";
	#print NEWFILE3 "$array15[$counter] $array16[$counter] $array17[$counter] $array18[$counter] $array19[$counter]\n";
	#STILL TO BE WORKED THROUGH!	
	$counter+=1;
}

print "Operation performed.\n";
















